package com.ruoyi.project.training.spec.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.spec.mapper.TStQuestionAnswerMapper;
import com.ruoyi.project.training.spec.domain.TStQuestionAnswer;
import com.ruoyi.project.training.spec.service.ITStQuestionAnswerService;

/**
 * 专项培养反馈问题答案Service业务层处理
 *
 * @author ruoyi
 * @date 2022-05-03
 */
@Service
public class TStQuestionAnswerServiceImpl implements ITStQuestionAnswerService
{
    @Autowired
    private TStQuestionAnswerMapper tStQuestionAnswerMapper;

    @Override
    public TStQuestionAnswer selectTStQuestionAnswer(TStQuestionAnswer tStQuestionAnswer) {
        return tStQuestionAnswerMapper.selectTStQuestionAnswer(tStQuestionAnswer);
    }

    @Override
    public TStQuestionAnswer selectTStQuestionAnswerByPlanIdAndQuestionId(TStQuestionAnswer tStQuestionAnswer) {
        return tStQuestionAnswerMapper.selectTStQuestionAnswerByPlanIdAndQuestionId(tStQuestionAnswer);
    }

    /**
     * 查询专项培养反馈问题答案
     *
     * @param id 专项培养反馈问题答案ID
     * @return 专项培养反馈问题答案
     */
    @Override
    public TStQuestionAnswer selectTStQuestionAnswerById(Long id)
    {
        return tStQuestionAnswerMapper.selectTStQuestionAnswerById(id);
    }

    /**
     * 查询专项培养反馈问题答案列表
     *
     * @param tStQuestionAnswer 专项培养反馈问题答案
     * @return 专项培养反馈问题答案
     */
    @Override
    public List<TStQuestionAnswer> selectTStQuestionAnswerList(TStQuestionAnswer tStQuestionAnswer)
    {
        return tStQuestionAnswerMapper.selectTStQuestionAnswerList(tStQuestionAnswer);
    }

    /**
     * 新增专项培养反馈问题答案
     *
     * @param tStQuestionAnswer 专项培养反馈问题答案
     * @return 结果
     */
    @Override
    public int insertTStQuestionAnswer(TStQuestionAnswer tStQuestionAnswer)
    {
        return tStQuestionAnswerMapper.insertTStQuestionAnswer(tStQuestionAnswer);
    }

    /**
     * 修改专项培养反馈问题答案
     *
     * @param tStQuestionAnswer 专项培养反馈问题答案
     * @return 结果
     */
    @Override
    public int updateTStQuestionAnswer(TStQuestionAnswer tStQuestionAnswer)
    {
        return tStQuestionAnswerMapper.updateTStQuestionAnswer(tStQuestionAnswer);
    }

    /**
     * 批量删除专项培养反馈问题答案
     *
     * @param ids 需要删除的专项培养反馈问题答案ID
     * @return 结果
     */
    @Override
    public int deleteTStQuestionAnswerByIds(Long[] ids)
    {
        return tStQuestionAnswerMapper.deleteTStQuestionAnswerByIds(ids);
    }

    /**
     * 删除专项培养反馈问题答案信息
     *
     * @param id 专项培养反馈问题答案ID
     * @return 结果
     */
    @Override
    public int deleteTStQuestionAnswerById(Long id)
    {
        return tStQuestionAnswerMapper.deleteTStQuestionAnswerById(id);
    }
}
